AbstractMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.AbstractMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class AbstractMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

Direct Known Subclasses:
  AbstractPollingMessageReceiver, AxisMessageReceiver, CxfMessageReceiver, JettyHttpMessageReceiver, JmsMessageReceiver, MultiConsumerJmsMessageReceiver, ProcessMessageReceiver, QuartzMessageReceiver, RmiCallbackMessageReceiver, ServletMessageReceiver, TcpMessageReceiver, TransactedSingleResourceJmsMessageReceiver, UdpMessageReceiver, XmppMessageReceiver

    public abstract class AbstractMessageReceiver

extends AbstractConnectable
implements MessageReceiver

`AbstractMessageReceiver` provides common methods for all Message Receivers provided with Mule. A message receiver enables an endpoint to receive a message from an external system.

Field Summary
`protected String` | `receiverKey` Stores the key to this receiver, as used by the Connector to store the receiver.
`protected boolean` | `responseEndpoint`
`protected Service` | `service` The Service with which this receiver is associated with

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`AbstractMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)` Creates the Message Receiver

Method Summary
`void` | `dispose()` Template method to destroy any resources held by the Message Dispatcher
`protected String` | `getConnectEventId()`
`String` | `getConnectionDescription()` Returns a string identifying the underlying resource
`InboundEndpoint` | `getEndpoint()`
`EndpointURI` | `getEndpointURI()` The endpointUri that this receiver listens on
`InternalMessageListener` | `getListener()`
`String` | `getReceiverKey()`
`Service` | `getService()`
`protected WorkManager` | `getWorkManager()`
`protected MuleMessage` | `handleUnacceptedFilter(MuleMessage message)`
`void` | `initialise()` Method used to perform any initialisation work.
`MuleMessage` | `routeMessage(MuleMessage message)`
`MuleMessage` | `routeMessage(MuleMessage message, boolean synchronous)`
`MuleMessage` | `routeMessage(MuleMessage message, boolean synchronous, OutputStream outputStream)`
`MuleMessage` | `routeMessage(MuleMessage message, OutputStream outputStream)`
`MuleMessage` | `routeMessage(MuleMessage message, Transaction trans, boolean synchronous)`
`MuleMessage` | `routeMessage(MuleMessage message, Transaction trans, boolean synchronous, OutputStream outputStream)`
`void` | `setEndpoint(InboundEndpoint endpoint)`
`protected void` | `setExceptionDetails(MuleMessage message, Throwable exception)` This method is used to set any additional aand possibly transport specific information on the return message where it has an exception payload.
`void` | `setListener(InternalMessageListener listener)`
`void` | `setReceiverKey(String receiverKey)`
`void` | `setService(Service service)`
`String` | `toString()`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Field Detail

### service

    protected Service service

  The Service with which this receiver is associated with

### receiverKey

    protected String receiverKey

  Stores the key to this receiver, as used by the Connector to store the receiver.

### responseEndpoint

    protected boolean responseEndpoint

Constructor Detail

### AbstractMessageReceiver

    public AbstractMessageReceiver(Connector connector,
                                   Service service,
                                   InboundEndpoint endpoint)
                            throws CreateException

  Creates the Message Receiver

  Parameters:
    `connector` - the endpoint that created this listener
    `service` - the service to associate with the receiver. When data is received the service `dispatchEvent` or `sendEvent` is used to dispatch the data to the relevant Service.
    `endpoint` - the provider contains the endpointUri on which the receiver will listen on. The endpointUri can be anything and is specific to the receiver implementation i.e. an email address, a directory, a jms destination or port address.
  Throws:
    `CreateException`
  See Also:
    `Service`, `InboundEndpoint`

Method Detail

### initialise

    public final void initialise()
                          throws InitialisationException

  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractConnectable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### dispose

    public final void dispose()

  Description copied from class: `AbstractConnectable`
  Template method to destroy any resources held by the Message Dispatcher

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractConnectable`

### setExceptionDetails

    protected void setExceptionDetails(MuleMessage message,
                                       Throwable exception)

  This method is used to set any additional aand possibly transport specific information on the return message where it has an exception payload.

  Parameters:
    `message` -
    `exception` -

### getService

    public Service getService()

  Specified by:
    `getService` in interface `MessageReceiver`
  Returns:
    the service associated with the receiver

### routeMessage

    public final MuleMessage routeMessage(MuleMessage message)
                                   throws MuleException

  Specified by:
    `routeMessage` in interface `MessageReceiver`
  Throws:
    `MuleException`

### routeMessage

    public final MuleMessage routeMessage(MuleMessage message,
                                          boolean synchronous)
                                   throws MuleException

  Specified by:
    `routeMessage` in interface `MessageReceiver`
  Throws:
    `MuleException`

### routeMessage

    public final MuleMessage routeMessage(MuleMessage message,
                                          Transaction trans,
                                          boolean synchronous)
                                   throws MuleException

  Specified by:
    `routeMessage` in interface `MessageReceiver`
  Throws:
    `MuleException`

### routeMessage

    public final MuleMessage routeMessage(MuleMessage message,
                                          OutputStream outputStream)
                                   throws MuleException

  Specified by:
    `routeMessage` in interface `MessageReceiver`
  Throws:
    `MuleException`

### routeMessage

    public final MuleMessage routeMessage(MuleMessage message,
                                          boolean synchronous,
                                          OutputStream outputStream)
                                   throws MuleException

  Specified by:
    `routeMessage` in interface `MessageReceiver`
  Throws:
    `MuleException`

### routeMessage

    public final MuleMessage routeMessage(MuleMessage message,
                                          Transaction trans,
                                          boolean synchronous,
                                          OutputStream outputStream)
                                   throws MuleException

  Specified by:
    `routeMessage` in interface `MessageReceiver`
  Throws:
    `MuleException`

### handleUnacceptedFilter

    protected MuleMessage handleUnacceptedFilter(MuleMessage message)

### setService

    public void setService(Service service)

### getEndpointURI

    public EndpointURI getEndpointURI()

  Description copied from interface: `MessageReceiver`
  The endpointUri that this receiver listens on

  Specified by:
    `getEndpointURI` in interface `MessageReceiver`
  Returns:

### getConnectionDescription

    public String getConnectionDescription()

  Description copied from class: `AbstractConnectable`
  Returns a string identifying the underlying resource

  Specified by:
    `getConnectionDescription` in interface `Connectable`
  Overrides:
    `getConnectionDescription` in class `AbstractConnectable`
  Returns:

### getListener

    public InternalMessageListener getListener()

### setListener

    public void setListener(InternalMessageListener listener)

### getConnectEventId

    protected String getConnectEventId()

### setReceiverKey

    public void setReceiverKey(String receiverKey)

  Specified by:
    `setReceiverKey` in interface `MessageReceiver`

### getReceiverKey

    public String getReceiverKey()

  Specified by:
    `getReceiverKey` in interface `MessageReceiver`

### getEndpoint

    public InboundEndpoint getEndpoint()

  Specified by:
    `getEndpoint` in interface `MessageReceiver`
  Overrides:
    `getEndpoint` in class `AbstractConnectable`
  Returns:
    the endpoint from which we are receiving events

### setEndpoint

    public void setEndpoint(InboundEndpoint endpoint)

  Specified by:
    `setEndpoint` in interface `MessageReceiver`
  Parameters:
    `endpoint` - the endpoint to listen on
  See Also:
    `ImmutableEndpoint`

### getWorkManager

    protected WorkManager getWorkManager()

  Specified by:
    `getWorkManager` in class `AbstractConnectable`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractConnectable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.